In order to prevent the reverse engineering of script applications, many developers encode their code with instruments like ionCube PHP Encoder to make it human unreadable. This is valid for paid apps in particular, since anyone could possibly use and change the unencrypted code without paying the required license fees. If you obtain web software encrypted with ionCube PHP Encoder, you can use it without any problems as long as an instrument named ionCube Loader is available on the hosting server. This loader allows you to execute encoded files and you will often notice it among the prerequisites for a certain script application to be installed. As the encoded files are already precompiled, they are usually executed more quickly and this will enhance the overall speed of your site.

IonCube in Shared Hosting

IonCube Loader comes with all of the shared hosting plans that we provide, so every time you require it to set up and run a script application that requires it, you can enable it with a single click in the Advanced area of the Hepsia Control Panel. Since you can change the PHP version which is active for your account from the same section, you'll need to activate the tool for each new version that you set. If you're more skillful, you'll be able to employ a php.ini file in a domain or subdomain folder and set both the PHP version and the status of ionCube Loader for that particular website only, without affecting the whole account. This way you can run both new and older script apps for multiple websites in the same account - something that you won't be able to do with lots of other web hosting service providers on the market.

IonCube in Semi-dedicated Servers

Since all of the semi-dedicated server accounts are set up on our advanced cluster platform and ionCube Loader is available on it, you shall be able to use any script app which requires this tool so as to run efficiently. With several clicks in your Hepsia web hosting Control Panel you're able to activate or deactivate ionCube for the PHP version that is currently active for your account. Because we support a couple of releases of PHP at the same time, you'll have to do this every time you switch to a new version, but if you revert back to a version that you have already used, our system will remember your preference and ionCube Loader will already be activated. If you have multiple websites in the same account and they need different versions of PHP, you can create a php.ini file in each and every domain folder and with a couple of lines of code you can define both the PHP version plus the status of ionCube no matter what is selected for the web hosting account as a whole.